"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getParameterStoreSecretPath = void 0;
const amplify_cli_core_1 = require("amplify-cli-core");
const path_1 = __importDefault(require("path"));
const getParameterNameForDBSecret = (secret, database) => {
    return `${database}_${secret}`;
};
const getParameterStoreSecretPath = (secret, database, apiName, envName) => {
    const appId = amplify_cli_core_1.stateManager.getAppID();
    const environmentName = envName || amplify_cli_core_1.stateManager.getCurrentEnvName();
    const categoryName = amplify_cli_core_1.AmplifyCategories.API;
    const paramName = getParameterNameForDBSecret(secret, database);
    if (!environmentName) {
        throw new Error('Unable to create RDS secret path, environment not found/defined');
    }
    return path_1.default.posix.join('/amplify', appId, environmentName, `AMPLIFY_${categoryName}${apiName}${paramName}`);
};
exports.getParameterStoreSecretPath = getParameterStoreSecretPath;
//# sourceMappingURL=rds-secret-utils.js.map